//EKSKURZIJA
#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int T;
    long long N, M, K;
    cin>>T;
    long long matrica[T][3];
    for (int i=0; i<T; i++)
    {
        cin>>N>>M>>K;
        matrica[i][0]=N;
        matrica[i][1]=M;
        matrica[i][2]=K;
    }
    
    long long najmz=0;
    
    for (int i=0; i<T; i++)
    {
        N=matrica[i][0];
        M=matrica[i][1];
        K=matrica[i][2];
        
        long long niznv[K];
        
        float x=float(N)/K;
        x = ceil(x);
        long long poslednji=N;
        
        for (int i=0; i<K-1; i++)
        {
            poslednji = poslednji - x;
            niznv[i]=x;
        }
        niznv[K-1]=poslednji;
        
        
        najmz=0;
        for (int i=0; i<K; i++)
        {
            for (int j=1; j<=niznv[i]; j++)
            {
                najmz += j;
            }
        }
        
        long long razlika=M-najmz;
        if(razlika>=0)
        {
            cout<<"Tak\n";
        }else{cout<<"Nie\n";}
        
    }

    return 0;
}